Skip to main content
PATCH
Update a manual interaction

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

activity_id
integer
required

Activity id.

Body

multipart/form-data

Request fields accepted by this operation. Omitted optional properties retain the behavior described above.

type
enum<string>
Available options:
call,
meeting,
visit,
note,
sms,
email,
letter,
voicemail,
other
subject
string | null

Validation: nullable|string|max:255.

Maximum string length: 255
body_plain
string | null

Validation: nullable|string|max:20000.

Maximum string length: 20000
body
string | null

Validation: nullable|string|max:20000.

Maximum string length: 20000
occurred_at
string<date-time>

Validation: date.

body_visibility
enum<string> | null

Validation: nullable|in:private,metadata,shared,team.

Available options:
private,
metadata,
shared,
team,
null
direction
enum<string> | null
Available options:
inbound,
outbound,
internal,
none,
null
outcome
enum<string> | null
Available options:
completed,
left_voicemail,
no_answer,
scheduled_follow_up,
needs_follow_up,
resolved,
other,
null
duration_minutes
integer | null

Validation: nullable|integer|min:1|max:1440.

Required range: 1 <= x <= 1440
follow_up_at
string<date-time> | null

Validation: nullable|date.

counts_as_touch
boolean | null

Validation: nullable|boolean.

external_reference
string | null

Validation: nullable|string|max:255.

Maximum string length: 255
shared_group_id
integer | null

Validation: nullable|integer|min:1.

Required range: x >= 1
idempotency_key
string | null

Validation: nullable|string|max:191.

Maximum string length: 191
event_id
integer | null

Validation: nullable|integer.

participant_donor_ids
integer[] | null
Maximum array length: 50
participants
object[] | null
Maximum array length: 50
Maximum array length: 25
ai_summary
object | null

Stored only when manual_interactions_ai_summary is enabled.

acknowledge_donation_ids
integer[] | null
Maximum array length: 100
attachments
file[]

Up to ten total files,10MiB each. Extensions: pdf,doc,docx,xls,xlsx,txt,csv,jpg,jpeg,gif,png,webp. MIME must also match the supported file policy.

Maximum array length: 10
remove_attachment_ids
integer[]

Existing attachment IDs to remove; also accepts a JSON-encoded array.

Response

Update a manual interaction response.

data
object